<!--- CFAPPLICATION tag turns on session, client and application scope
variables. Only use once per page - usually put in Application.cfm --->
<CFAPPLICATION name="cfclass" sessionmanagement="yes" clientmanagement="yes" sessiontimeout="#createtimespan(0,0,10,0)#">
<!--- Must lock write of session variables. 
      Client variables don't need locking --->
<cflock timeout="5" throwontimeout="No" type="EXCLUSIVE" scope="SESSION">
<!--- Default username for first time use of logon system.
      Blank username means not logged on --->
	<CFPARAM name="session.username" default="">
	<!--- Protect subdirectories for Members Only access --->
	<CFIF CGI.script_name contains "/private/">
		<!--- If not logged on send to logon page.
		      Must use absolute path as may be called from
			  different directories --->
		<CFIF session.username is "">
			<CFLOCATION url="/cf201/logon.cfm">
		</CFIF>
	</CFIF>
	<!--- Roll your own timeout code. This example times out
	      session after 5 minutes --->
	<CFPARAM name="session.last_access" default="#now()#">
	<CFIF DateDiff("n", session.last_access, now()) gt 5>
		<CFLOCATION url="/cf201/logon.cfm">
	</CFIF>
	<CFSET session.last_access = now()>
</CFLOCK>